Nativescript-vue: Trouble archiving iOS build


#1

Hi,
As mentioned in the title we are using nativescript-vue, as well as some plugins for this project. We have no trouble building for Android however, when we try to build for iOS we get the following issue.

We are not quite sure what to do about this or whether we have proceeded incorrectly.

The steps we have made:

  1. Clean the project using npm run clean.
  2. npm run build:ios
  3. Since we use nativescript-plugin-firebase we do some steps with regards to Fabric and crashlytics.
  4. Open dist in xcode and try to archive. (Try to clean, build and archive again from xcode, but same issue).

I hope someone has any ideas of the bat. I will try to recreate the issue in a new project meanwhile.

Plugins used:
“moment”: “^2.22.2”,
“nativescript-clipboard”: “^1.1.7”,
“nativescript-fontawesome”: “^1.0.0”,
“nativescript-fonticon”: “^1.1.1”,
“nativescript-geolocation”: “^4.2.6”,
“nativescript-google-maps-sdk”: “^2.6.0”,
“nativescript-intercom-bridge”: “^1.0.0”,
“nativescript-plugin-firebase”: “^6.4.0”,
“nativescript-social-share”: “^1.5.0”,
“nativescript-stripe”: “^3.2.1”,
“nativescript-theme-core”: “^1.0.4”,
“nativescript-ui-calendar”: “^3.7.0”,
“nativescript-vue”: “^1.3.1”,
“tns-core-modules”: “~4.1.1”,
“vue-router”: “^3.0.1”,
“vuex”: “^3.0.1”


#2

Most times this was fixed for me after a clean build, sometimes just a clean and Archive in Xcode itself fixed it for me.


#3

Thank you for the response @manojdcoder. After building a new project we have no issues when not adding any libraries requiring pods. We have run pod repo update and pod install at different occasions but at a nonspecific location. Does this work differently for NativeScript vue than for regular NativeScript applications? Are we doing this process wrong? Do you have to install the pods through xcode or something? We have tried different clean /build processes without success. We will try to add one dependency at a time to see whether it is a dependency causing the issue.


#4

I don’t think you have to manually install anything form Xcode. But Yes, please try one by one that might help to check at least which plugin / pod gives you issue.